# NOTES:
# - release archives: http://helpx.adobe.com/flash-player/kb/archived-flash-player-versions.html
# TODO: package kde4 component
#
# Conditional build:
%bcond_with	license_agreement	# generates package

%ifarch %{ix86}
%define		libmark	%{nil}
%endif
%ifarch %{x8664}
%define		libmark	()(64bit)
%endif

%define		base_name	adobe-flash
%define		rel 1
Summary:	Flash plugin for Netscape-compatible WWW browsers
Summary(pl.UTF-8):	Wtyczka Flash dla przeglądarek WWW zgodnych z Netscape
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
Version:	11.2.202.632
Release:	%{rel}%{?with_license_agreement:wla}
Epoch:		1
License:	Free to use, non-distributable
Group:		X11/Applications/Multimedia
%if %{with license_agreement}
Source0:	http://fpdownload.macromedia.com/get/flashplayer/pdc/%{version}/install_flash_player_11_linux.i386.tar.gz?/flash-%{version}.i386.tar.gz
# NoSource0-md5:	7bf30d1b2747b14dcf1ee77ca2ce04db
NoSource:	0
Source1:	http://fpdownload.macromedia.com/get/flashplayer/pdc/%{version}/install_flash_player_11_linux.x86_64.tar.gz?/flash-%{version}.x86_64.tar.gz
# NoSource1-md5:	ace1a0801f00a25fd90172f63e98e101
NoSource:	1
%else
Source3:	http://svn.pld-linux.org/svn/license-installer/license-installer.sh
# Source3-md5:	329c25f457fea66ec502b7ef70cb9ede
%endif
Source2:	mms.cfg
URL:		http://www.adobe.com/products/flashplayer/
Patch0:		desktop.patch
%if %{with license_agreement}
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	sed >= 4.0
Requires:	browser-plugins >= 2.0
Requires:	hicolor-icon-theme
# dlopened by player
Requires:	libasound.so.2%{libmark}
Requires:	libcurl.so.4%{libmark}
%else
Requires:	rpm-build-tools >= 4.4.37
Requires:	rpmbuild(macros) >= 1.544
%endif
Requires:	cpuinfo(sse2)
Provides:	browser(flash)
Provides:	macromedia-flash
Obsoletes:	flash-plugin
Obsoletes:	konqueror-plugin-macromedia-flash
Obsoletes:	macromedia-flash
Obsoletes:	mozilla-firefox-plugin-macromedia-flash
Obsoletes:	mozilla-plugin-macromedia-flash
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/adobe

# So that building package on AC system won't write package name dep that Th system can't understand (libstdc++4)
%define		_noautoreqdep	libstdc++.so.6

# No debuginfo to be stored
%define		_enable_debug_packages	0

%description
Adobe(R) Flash(R) Player for Linux - the next-generation client
runtime for engaging with Flash content and applications on Linux.

%description -l pl.UTF-8
Adobe(R) Flash(R) Player - środowisko nowej generacji do obsługi
treści i aplikacji we Flashu pod Linuksem.

%prep
%if %{with license_agreement}
%ifarch %{x8664}
%setup -q -T -c -b 1
%else
%setup -q -T -c -b 0
%endif
%patch0 -p1

%build
s=$(echo 'LNX %{version}' | tr . ,)
v=$(strings libflashplayer.so | grep '^LNX ')
if [ "$v" != "$s" ]; then
	: wrong version
	exit 1
fi
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@DATADIR@,%{_datadir}/%{base_name},g
	s,@COPYSOURCES@,mms.cfg desktop.patch,g
' %{SOURCE3} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

cp -p %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{base_name}
cp -p %{PATCH0} $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_browserpluginsdir},%{_bindir},%{_desktopdir},%{_iconsdir}}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/mms.cfg
install -p *.so $RPM_BUILD_ROOT%{_browserpluginsdir}
install -p usr/bin/flash-player-properties $RPM_BUILD_ROOT%{_bindir}
cp -p usr/share/applications/flash-player-properties.desktop $RPM_BUILD_ROOT%{_desktopdir}/flash-player-properties.desktop
cp -a usr/share/icons/* $RPM_BUILD_ROOT%{_iconsdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
%post
%{_bindir}/%{base_name}.install
%else
%post
%update_browser_plugins
%update_icon_cache hicolor

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi
%update_icon_cache hicolor
%endif

%files
%defattr(644,root,root,755)
%if %{without license_agreement}
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%else
%doc readme.txt
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mms.cfg
%attr(755,root,root) %{_bindir}/flash-player-properties
%attr(755,root,root) %{_browserpluginsdir}/*.so
%{_desktopdir}/flash-player-properties.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%endif
%changelog
* Tue Jul 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/adobe-flash-installer.git;a=log;h=master

* Mon Jul 25 2016 Jan Palus <atler@pld-linux.org> af502f0
- up to 11.2.202.632

* Sun Jun 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d1bef53
- up to 11.2.202.626 (tons of SECURITY issues resolved)

* Tue May 31 2016 Jan Palus <atler@pld-linux.org> dffa133
- up to 11.2.202.621

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 6952dff
- up to 11.2.202.616

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> e08e1a3
- updated to 11.2.202.577

* Wed Feb 17 2016 Jan Palus <atler@pld-linux.org> 55243d3
- up to 11.2.202.569

* Fri Jan 08 2016 Jan Palus <atler@pld-linux.org> 5a07d9b
- up to 11.2.202.559

* Mon Dec 21 2015 Jan Palus <atler@pld-linux.org> a3421ae
- up to 11.2.202.554

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 5fb4e5f
- simplify version macros

* Sat Oct 17 2015 Karol Krenski <charles@pld-linux.org> 9c853d1
- updated to 11.2.202.540

* Tue Oct 13 2015 mis <mistoo@gmail.com> a22ca48
- up to 11.2.202.535

* Tue Sep 22 2015 Andrzej Zawadzki <azawadzki@dfqs.pl> 4ea5f57
- up to 11.2.202.521

* Sat Jul 18 2015 Jan Rękorajski <baggins@pld-linux.org> 4a65794
- up to 11.2.202.491

* Thu Jul 09 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 92a4583
- up to 11.2.202.481 (SECURITY)

* Wed Jun 24 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e0bf606
- up to 11.2.202.468; SECURITY fixes

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 38ab2ec
- up to 11.2.202.466; SECURITY update

* Sun May 31 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d2d8ac
- up to 11.2.202.460; SECURITY issues

* Sun Apr 26 2015 Jan Rękorajski <baggins@pld-linux.org> 5763158
- updated to 11.2.202.457

* Mon Mar 16 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a8bfeb9
- up to 11.2.202.451

* Fri Feb 06 2015 Szymon Siwek <sls@pld-linux.org> bc4256d
- updated NoSources md5

